= tspin(1)
:doctype: manpage
:manmanual: tailspin
:man source: tailspin {release-version}
:revdate: {docdate}

ifdef::env-github[]
:toc:
:toc-title:
:toc-placement!:
:numbered:
endif::[]

== NAME

tspin - A log file highlighter

== SYNOPSIS

*tspin* [_OPTION_]... [_FILE_]...

== DESCRIPTION

tailspin is a command line tool that highlights log files.

== OPTIONS

*-f, --follow*::
Follow (tail) the contents of the file.
Always true when using the _--follow-command_ flag.

*-e, --start-at-end*::
Start at the end of the file.

*-p, --print*::
Print the output to stdout instead of viewing the contents in the pager _less_.
Always true if using stdin.

*--config-path* _CONFIG_PATH_::
Specify the path to a custom configuration file.
Defaults to _XDG_CONFIG_HOME/tailspin/theme.toml_ or _~/.config/tailspin/theme.toml_ if not set.

*-c, --listen-command* _COMMAND_::
Continuously listen to the stdout of the provided command.
The command traps the interrupt signal to allow for cancelling and resuming follow mode while inside _less_.

*--words-[red|green|yellow|blue|magenta|cyan]*::
Highlight the provided comma separated words in the desired color.

*--enable=[HIGHLIGHT_GROUP]*::
Disable all highlighting groups except the ones specified.
Comma separated list of groups.
Cannot be used with _--disable=[HIGHLIGHT_GROUP]_.

*--disable=[HIGHLIGHT_GROUP]*::
Disable the specified highlighting groups.
Comma separated list of groups.
Cannot be used with _--enable=[HIGHLIGHT_GROUP]_.

*--no-builtin-keywords*::
Disables the highlighting of all builtin keyword groups (booleans, severity and REST).

== ENVIRONMENT VARIABLES

*TAILSPIN_PAGER*::
Set the _TAILSPIN_PAGER_ environment variable to override the default pager.
The command must include the string _[FILE]_ which will be replaced with the file path internally.
For example, _"ov -f [FILE]"_.

== SEE ALSO

*less*(1), *tail*(1)

== About

Ben Sadeh (github.com/bensadeh/tailspin)

Released under the MIT License
